Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.6.x
Author Message
amber222
Regular
Regular


Joined: Jun 09, 2004
Posts: 79

PostPosted: Tue Sep 09, 2008 12:45 pm Reply with quote

I upgraded to 2.6.0.0 Now the only Admin Auth options are OFF and CGIAuth. What happened? How can I get HTTPAuth back? Nothing else on the site was changed.
 
View user's profile Send private message
amber222
PostPosted: Tue Sep 09, 2008 12:49 pm Reply with quote

Okay, I see there is 2.6.0.1 so I will try that.
 
amber222
PostPosted: Wed Sep 10, 2008 2:57 pm Reply with quote

Upgrading didn't help. The only choice available is cgiauth. I tried setting that up, and while it first appeared that everything went well, once I logged into Admin I received internal server error. I have also noticed that since I left 2.5.16, I no longer get emails from NukeSentinel. Today I tried to have it send the httpauth passwords, but I never received the email. I sent test messages, and there is nothing wrong with the mail. At this point I am ready to go back to 2.5.16. Can anybody tell me what I'm missing here?
 
jakec
Site Admin


Joined: Feb 06, 2006
Posts: 3048
Location: United Kingdom

PostPosted: Wed Sep 10, 2008 3:09 pm Reply with quote

Internal server error usually means something hasn't quite been setup right, usually the text within the .htaccess file. Make sure the path is correct in the .htaccess.

We have updated the HowToInstall documentation within the RN package with regards to setting up CGIAuth and provided some images to help illustrate the process. This can be viewed here: Only registered users can see links on this board! Get registered or login!

Check that your email address is specified in the Administration menu under Admin Contacts.
 
View user's profile Send private message
amber222
PostPosted: Wed Sep 10, 2008 3:43 pm Reply with quote

The instructions were included with NukeSentinel. There is also a link in NukeSentinel Administration to get the code to paste in .htaccess. I am using that code and get the internal server error.

Why should I have to use CGIauth anyway when httpauth was available before? Why is it when I click on the link to email me the passwords, I never get them but email works for everything else? Of course I have the right email address set up. As I said, it always worked before. It's only since I upgraded that these problems started. Perhaps my host changed something. From my perusal, I don't see any different settings, but I will check.
 
montego
Site Admin


Joined: Aug 29, 2004
Posts: 9456
Location: Arizona

PostPosted: Thu Sep 11, 2008 6:25 am Reply with quote

The fact that HTTPAuth is no longer in your list could very well mean your host changed how PHP is running. If they are now running PHP as a CGI, that will be your only option. They could also have turned off the use of .htaccess or certain directives. It may just be a horrible coincidence that you upgraded at the same time.

_________________
Only registered users can see links on this board! Get registered or login!
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
amber222
PostPosted: Thu Sep 11, 2008 11:14 pm Reply with quote

montego wrote:
The fact that HTTPAuth is no longer in your list could very well mean your host changed how PHP is running. If they are now running PHP as a CGI, that will be your only option. They could also have turned off the use of .htaccess or certain directives. It may just be a horrible coincidence that you upgraded at the same time.


Yea, that's a thought, since the past few days have been full of horrible coincidences. Crying or Very sad

I don't have a clue what happened to httpauth, but I did finally get cgiauth to work. I think the problem was with the order in which I performed the tasks.

Thanks, jakec and montego, for your responses.
 
j4rdin
Worker
Worker


Joined: May 26, 2006
Posts: 153
Location: West Sussex - UK

PostPosted: Thu Sep 18, 2008 2:24 pm Reply with quote

amber222 wrote:


I don't have a clue what happened to httpauth, but I did finally get cgiauth to work. I think the problem was with the order in which I performed the tasks.

Thanks, jakec and montego, for your responses.


Did you ever get to the bottom of this. I seem to have developed the same problem since my upgrade to NS2.6.01 HTTPAuth just resets back to OFF.

John
 
View user's profile Send private message Visit poster's website
amber222
PostPosted: Thu Sep 18, 2008 3:59 pm Reply with quote

j4rdin wrote:
Did you ever get to the bottom of this. I seem to have developed the same problem since my upgrade to NS2.6.01 HTTPAuth just resets back to OFF.

John


I no longer have HTTPAuth as an option. The only options are CGIAuth and OFF. I used CGIAuth by uploading the blank .staccess file with permissions at 666. I then added the correct path for CGIAuth in NukeSentinel Admin, selected CGIAuth option and clicked on the link below to get the code to add to the .htaccess file. Maybe I had to save the settings between the first and second step - I can't remember.

Perhaps somebody else here can help you with your HTTPAuth issue.
 
j4rdin
PostPosted: Sat Sep 20, 2008 11:57 am Reply with quote

amber222 wrote:

I no longer have HTTPAuth as an option. The only options are CGIAuth and OFF. I used CGIAuth by uploading the blank .staccess file with permissions at 666. I then added the correct path for CGIAuth in NukeSentinel Admin, selected CGIAuth option and clicked on the link below to get the code to add to the .htaccess file. Maybe I had to save the settings between the first and second step - I can't remember.

Perhaps somebody else here can help you with your HTTPAuth issue.


Interesting, same thing this end. Have checked with my host and they haven't changed anything recently. I did get asked which version of PHP I was using. I'm still on PHP4, plan to change to PHP5 when RavenNuke v2.30 is released. I wonder if there is a problem with the latest Nuke Sentinel upgrade. Has anyone else tested this upgrade with PHP4?

Looks like I migh have to go over to CGIAuth option instead.

John
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.6.x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©